###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: ccs
Version: 1.0.10
Release: 0.0.1
License: GPL
Group: System Environment/Base
Summary: CCS - The Cluster Configuration System
BuildRequires: magma-devel
BuildRequires: libxml2-devel
Conflicts: GFS <= 6.0
Conflicts: GFS-modules
Requires: magma
Requires(preun): /sbin/chkconfig
Requires(post): /sbin/chkconfig
ExclusiveArch: i686 ia64 x86_64 ppc64
Source0: %{name}-%{version}.tar.gz
Patch0: ccs-1.0.11-clmvd-bz362631.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
CCS - The Cluster Configuration System

%package devel
Summary: CCS static library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the CCS header file and static library, which
is used by several cluster products.

%prep
%setup -q
%patch -p1 -b .bz362631

%build
./configure --libdir=%{_libdir} --mandir=%{_mandir}
sed -i '/RELEASE_MAJOR/s/= .*/= 1/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 0.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ccsd

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del ccsd
fi

%files
%defattr(-,root,root,-)
/sbin/ccs_tool
/sbin/ccs_test
/sbin/ccsd
%config /etc/rc.d/init.d/ccsd

%{_mandir}/*/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libccs.a
%{_includedir}/ccs.h

%changelog
* Fri Nov 02 2007 Chris Feist <cfeist@redhat.com>
- Fixed an issue with using the wrong source address when multiple ip
  addresses are present.
- Resolves: rhbz#362631

* Mon Jan 30 2007 Chris Feist <cfeist@redhat.com>
- Build for ppc64

* Sun May 08 2005 Florian La Roche <laroche@redhat.com>
- mv /etc/init.d -> /etc/rc.d/init.d
- fix Requires

* Fri May 06 2005 Chris Feist <cfeist@redhat.com>
- Cleanup .spec file to not include globs.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Update for new upstream sources

* Fri Dec 10 2004 Chris Feist <cfeist@redhat.com>
- Update for new upstream sources

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- Update for new upstream sources

* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com>
- Update for new upstream sources

* Mon Aug 16 2004 Jon Brassow <jbrassow@redhat.com>
- add magma-plugins as an installation requirement

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- buildrequires magma-devel not magma

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- add magma as a build requirement instead of cman-kernheaders

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- Fix bug when updates occur at the same time
- Some basic clean-up
- Add man pages

* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com>
- Update for new upstream sources

* Tue Jul 13 2004 Jon Brassow <jbrassow@redhat.com>
- Update for new upstream sources

* Mon Jul 12 2004 Jon Brassow <jbrassow@redhat.com>
- Update for new upstream sources

* Fri Jun 18 2004 Jon Brassow <jbrassow@redhat.com> 
- Update make files so if kernel_src is not specified, the look
  in /usr/include/linux

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
